Đến nội dung


Hình ảnh

hỏi han về cái bắt tâm hình vuông mà cài osnap không được


  • Please log in to reply
45 replies to this topic

#21 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 23 May 2011 - 03:15 PM

Em tự xoá bài viết vì post nhầm mong các bác xoá giúp em, em xin trân trọng cảm ơn!
  • 1

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#22 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 23 May 2011 - 03:25 PM

Cuộc đời này có ai mà biết hết đuợc đâu bạn? Vẫn có những cái chưa biết mà? Và cái chưa biết nhiều như đại dương rộng lớn
Hề hề, bạn ơi! Nếu mình biết rồi thì đâu đến nỗi phải đục đẽo cái lỗ cho cực??
Quả thật hơi lãng phí nếu như mình chưa biết đến tính năng này.
Mong được bạn chỉ giáo.... :rolleyes:
  • 1

#23 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 23 May 2011 - 03:35 PM

....
Việc vẽ một lệnh nào đó cần phải bắt trọng tâm của …5 giác, 7 giác, cửu giác nội tiếp hoặc ngoại tiếp đường tròn và linh tinh giác bất kỳ, không cần thiết phải dùng lisp đâu anh ạ! Dùng AutoCAD thông thường nhanh hơn nhiều, đó là sự thật!
Chuyện kể rằng có nhà bác học thuê thợ đục bức tường nhà ra 2 lỗ, một lỗ cho mèo chui ra; một lỗ cho chó chui lọt vào nhà…Thật lãng phí phải không anh??? Chỉ cần đục một lỗ cho chó chui lọt, tất nhiên là mèo, chuột , rắn rết đều qua được hêt…
AutoCAD đã có tính năng bắt được tâm điểm của các …linh tinh giác một cách dễ dàng và nhanh chóng, tại sao ta không khai thác hết tính năng của AutoCAD
......

Mong được bạn chỉ giáo....
  • 2

#24 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 23 May 2011 - 03:43 PM

Cuộc đời này có ai mà biết hết đuợc đâu bạn? Vẫn có những cái chưa biết mà? Và cái chưa biết nhiều như đại dương rộng lớn
Hề hề, bạn ơi! Nếu mình biết rồi thì đâu đến nỗi phải đục đẽo cái lỗ cho cực??
Quả thật hơi lãng phí nếu như mình chưa biết đến tính năng này.
Mong được bạn chỉ giáo.... :rolleyes:

(Anh Tuệ ạ! Nếu bảo em viết cái lisp như anh, em bó ... chân luôn. Nhưng... lại một cái nhưng oan nghiệt, nếu làm theo cách thông thường thì em dám khẳng định sẽ nhanh hơn lisp... đó là sự thật anh ạ...)
Hình như anh hiểu lầm em rồi...Hu hu...
Những cái này chỉ là phương thức bắt điểm thông thường, khi vẽ luôn bật chế độ POLAR và OTRACK là bắt điểm được tất cả các tâm
của đa giác nội, ngoài tiếp đường tròn. Riêng trường hợp đa giác bất kỳ thì thì thêm lệnh Region và Mass Properties thôi anh ạ!
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#25 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 23 May 2011 - 04:11 PM

(Anh Tuệ ạ! Nếu bảo em viết cái lisp như anh, em bó ... chân luôn. Nhưng... lại một cái nhưng oan nghiệt, nếu làm theo cách thông thường thì em dám khẳng định sẽ nhanh hơn lisp... đó là sự thật anh ạ...)
Hình như anh hiểu lầm em rồi...Hu hu...
Những cái này chỉ là phương thức bắt điểm thông thường, khi vẽ luôn bật chế độ POLAR và OTRACK là bắt điểm được tất cả các tâm
của đa giác nội, ngoài tiếp đường tròn. Riêng trường hợp đa giác bất kỳ thì thì thêm lệnh Region và Mass Properties thôi anh ạ!

Hề hề, mình cứ tưởng là pick 1 cái vào đa giác là ra tâm luôn chứ? :rolleyes:

Trương hợp đa giác nội, ngoài tiếp đường tròn thì việc sử dụng Lisp với việc sử dụng chế độ POLAR và OTRACK chưa biết chắc cái nào sẽ nhanh hơn?
Nhưng với đa giác bất kỳ thì Lisp nhanh hơn, nhanh hơn rất nhiều rồi.

Bạn hãy cứ tưởng tượng với một đa giác bất kì vẽ = POLYLINE, bạn phải copy đa giác bất kì đó ra -> biến nó thành region rồi Mass Properties để lấy trọng tâm. lại phải sử dụng trọng tâm này trong 1 lệnh khác nữa, rồi phải xóa REGION đó đi nữa. Trong khi sử dụng với Lisp thì ở dòng lệnh nào cần tính trọng tâm đa giác kín -> gõ 'CEN và pick vào đa giác kín bất kì đó là xong.
Vậy sử dụng cái nào nhanh hơn?
  • 1

#26 pdle

pdle

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 23 May 2011 - 04:38 PM

(Anh Tuệ ạ! Nếu bảo em viết cái lisp như anh, em bó ... chân luôn. Nhưng... lại một cái nhưng oan nghiệt, nếu làm theo cách thông thường thì em dám khẳng định sẽ nhanh hơn lisp... đó là sự thật anh ạ...)
Hình như anh hiểu lầm em rồi...Hu hu...
Những cái này chỉ là phương thức bắt điểm thông thường, khi vẽ luôn bật chế độ POLAR và OTRACK là bắt điểm được tất cả các tâm
của đa giác nội, ngoài tiếp đường tròn. Riêng trường hợp đa giác bất kỳ thì thì thêm lệnh Region và Mass Properties thôi anh ạ!

Nếu chỉ cần cho đa giác nội ngoại tiếp thì m2p em thấy vẫn rất hiệu quả đấy chứ. Em nghĩ nó dễ làm hơn cách của anh đấy, anh ạ :D

Hề hề, mình cứ tưởng là pick 1 cái vào đa giác là ra tâm luôn chứ? :rolleyes:

Trương hợp đa giác nội, ngoài tiếp đường tròn thì việc sử dụng Lisp với việc sử dụng chế độ POLAR và OTRACK chưa biết chắc cái nào sẽ nhanh hơn?
Nhưng với đa giác bất kỳ thì Lisp nhanh hơn, nhanh hơn rất nhiều rồi.

Bạn hãy cứ tưởng tượng với một đa giác bất kì vẽ = POLYLINE, bạn phải copy đa giác bất kì đó ra -> biến nó thành region rồi Mass Properties để lấy trọng tâm. lại phải sử dụng trọng tâm này trong 1 lệnh khác nữa, rồi phải xóa REGION đó đi nữa. Trong khi sử dụng với Lisp thì ở dòng lệnh nào cần tính trọng tâm đa giác kín -> gõ 'CEN và pick vào đa giác kín bất kì đó là xong.
Vậy sử dụng cái nào nhanh hơn?

Chuẩn đấy anh, em kết cái lisp của anh quá. À anh giải thích cho em cái cen đứng một mình trong cái lisp của anh với, em thấy nó không có ngoặc gì cả, đó có phải là dùng cho transparent command không ạ?
  • 0
Share your knowledge. It is a way to achieve immortality !

***

PS: Nếu bài viết của mình có ích, xin hãy "Bình chọn cho bài viết này" nhé :D

#27 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 23 May 2011 - 05:19 PM

Nếu chỉ cần cho đa giác nội ngoại tiếp thì m2p em thấy vẫn rất hiệu quả đấy chứ. Em nghĩ nó dễ làm hơn cách của anh đấy, anh ạ :D


Chuẩn đấy anh, em kết cái lisp của anh quá. À anh giải thích cho em cái cen đứng một mình trong cái lisp của anh với, em thấy nó không có ngoặc gì cả, đó có phải là dùng cho transparent command không ạ?

cen đứng một mình đó là giá trị trả về của hàm con centre. Đó chính là kết quả trả về của 1 hàm con thôi. Sử dụng sử dụng nó như như là 1 kết quả trả về cho transparent command.
  • 0

#28 pdle

pdle

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 23 May 2011 - 05:29 PM

cen đứng một mình đó là giá trị trả về của hàm con centre. Đó chính là kết quả trả về của 1 hàm con thôi. Sử dụng sử dụng nó như như là 1 kết quả trả về cho transparent command.

Như vậy là bất cứ lệnh nào cũng có thể thành transparent command hả anh, miễn là được nhập vào sau dấu '
  • 0
Share your knowledge. It is a way to achieve immortality !

***

PS: Nếu bài viết của mình có ích, xin hãy "Bình chọn cho bài viết này" nhé :D

#29 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 23 May 2011 - 07:59 PM

Hề hề, mình cứ tưởng là pick 1 cái vào đa giác là ra tâm luôn chứ? :rolleyes:
Trương hợp đa giác nội, ngoài tiếp đường tròn thì việc sử dụng Lisp với việc sử dụng chế độ POLAR và OTRACK chưa biết chắc cái nào sẽ nhanh hơn?

Khi đặt CAD đã mặc định sẵn chế độ bắt điểm, không cần phải thay đổi gì.
E chỉ gõ lệnh L rồi tiến hành bắt điểm tâm, chắc là không quá 10 giây.



Hình đã gửi

Cái này khi cài đặt Autocad, nó đã mặc định sẵn

Hình đã gửi

@anh pdle: Với hình 5 giác và 7 giác không thể dùng lệnh m2p được!

Gõ lệnh L hoặc C gì đó, nếu chưa quen làm có thể thao tác chậm
  • 1

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#30 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 24 May 2011 - 12:21 AM

Nhưng với đa giác bất kỳ thì Lisp nhanh hơn, nhanh hơn rất nhiều rồi.
Bạn hãy cứ tưởng tượng với một đa giác bất kì vẽ = POLYLINE, bạn phải copy đa giác bất kì đó ra -> biến nó thành region rồi Mass Properties để lấy trọng tâm. lại phải sử dụng trọng tâm này trong 1 lệnh khác nữa, rồi phải xóa REGION đó đi nữa. Trong khi sử dụng với Lisp thì ở dòng lệnh nào cần tính trọng tâm đa giác kín -> gõ 'CEN và pick vào đa giác kín bất kì đó là xong.
Vậy sử dụng cái nào nhanh hơn?

Anh xem các bước thao tác của em: vẽ đa giác bất kỳ bằng lệnh line, không phải copy ra đâu cả, cứ để nguyên rồi region và Masspr >>> gõ Esc 2 lần >>gõ tiếp F2 >>hiện ra bảng ....> Gõ lệnh L (line) Copy giá trị x, y vào dòng commad ...Xong
Cuối cùng gõ lệnh EX để tháo gỡ Region.


Hình đã gửi
hình 3
Hình đã gửi
Command: l LINE Specify point : 188.6778,4.7964
(lưu ý có dấu phẩy ở giữa x,y)
Hình 4

Hình đã gửi
hình 5

Em bấm giờ thử tìm trọng tâm của đa giác bất kỳ hêt 25 giây.
Hình đa giác vẽ bằng lệnh line. Sauk hi

@ Anh Tuệ: Rất mong anh hiểu và thông cảm cho em, có thể anh sẽ cho em là người thiếu khiêm tốn, em cũng đành cam chịu. Mục đích em vào diễn đàn để học tập , thư giãn là chính.
Em đã làm cái việc vạn bất đắc dĩ là “sinh sự”, là “kích động” mọi người cùng khai thác hết các tính năng của AutoCAD thôi! Mong anh hiểu và cảm thông!

  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#31 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 24 May 2011 - 05:29 AM

Nếu số đỉnh đa giác tăng lên hoặc là trong đa giác đó có nhiều đối tượng con, có thể có Hatch nữa chẳng hạn thì có lẽ thao tác sẽ lâu đấy
Về đa giác bất kì. Nếu đa giác đó vẽ bằng Pline thì sao? Bạn không copy ra thì sau khi bạn biến thành Region thì bạn cũng phải Explode ra -> Mà Explode Region ra thì nó trở thành LINE -> Lại phải tốn công nối Line lại thành PLINE.
Một nguyên tắc tối kỵ khi sử dụng đối tượng mà Explode nó ra vì có thể nó làm mất đi bản chất của nó.
Bạn phải mất 25s để tìm trọng tâm của 1 đa giác bất kì
Lisp chỉ mất gần 5s thôi.

Rất cảm ơn bạn đã “sinh sự”, “kích động” mọi người cùng khai thác hết các tính năng của AutoCAD :lol:
Có lẽ đây là chuyên mục Dành cho người bắt đầu mới sử dụng CAD. Tue_NV cũng không nên đưa Lisp vào đây.

Chào buổi sáng anh Tue_NV!
Anh có thể giải thích rõ cho em về cơ chế tạo lệnh transparent command bằng lisp được không ạ?
Chúc anh một ngày làm việc hiệu quả!

Đã giải thích cho bạn pdle ở topic Hỏi về Lisp.
Bạn sang bên đó nhé
  • 1

#32 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 24 May 2011 - 08:25 AM

Anh xem các bước thao tác của em: vẽ đa giác bất kỳ bằng lệnh line, không phải copy ra đâu cả, cứ để nguyên rồi region và Masspr >>> gõ Esc 2 lần >>gõ tiếp F2 >>hiện ra bảng ....> Gõ lệnh L (line) Copy giá trị x, y vào dòng commad ...Xong
Cuối cùng gõ lệnh EX để tháo gỡ Region.


Hình đã gửi


Chào bạn,
Bạn đã xem lisp code của Tue_NV chưa? Bạn hiểu nó tìm trọng tâm như thế nào ko?
Cách bạn làm tương tự như lisp chỉ khác là lisp chỉ nhận POLYLINE và REGION thôi (Tue_NV có thể thêm 1 vài dòng nữa để chuyển LINE -> POLYLINE).
Lisp là tập hợp các thao tác của người sử dụng và chuyển cho máy tính xử lý -> ra kết quả. Bạn nghĩ mình có thể thao tác nhanh hơn máy tính ?
ko phải lúc nào dùng lisp cũng tốt nhưng trong trường hợp này thì dùng lisp đúng là tốt hơn.
  • 1

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#33 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 24 May 2011 - 09:00 AM

Bắt điểm trọng tâm (CentroId) của đối tượng bất kì (nếu có)

  • 1

#34 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 992 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 24 May 2011 - 09:08 AM

Đã sửa lại. Cac bạn chạy thử xem :


(defun centre(dt / cen)
;;copyright by Tue_NV
(vl-load-com)
(if (or (= (cdr(assoc 0 (entget dt))) "REGION")
(and (wcmatch (cdr(assoc 0 (entget dt))) "*POLYLINE")
(= (cdr(assoc 70 (entget dt))) 1)
)
)
(if (and (wcmatch (cdr(assoc 0 (entget dt))) "*POLYLINE")
(= (cdr(assoc 70 (entget dt))) 1)
)
(Progn
(setq cen (vlax-get (car (vlax-invoke (vla-get-modelspace (vla-get-activedocument(vlax-get-acad-object)))
'addregion (list (vlax-ename->vla-object dt)))) 'Centroid))
(entdel (entlast))
)
(setq cen (vlax-get (vlax-ename->vla-object dt) 'Centroid))
)

)
cen
)
(defun c:cen() (centre (car(entsel "\n Pick chon doi tuong lay trong tam :"))))

Mình sợ đặt lệnh chữ C trùng với lệnh của các bạn.
Các bạn sử dụng lệnh CEN để tìm trọng tâm
Trong 1 lệnh khác để tìm trọng tâm của 1 đa giác bất kì nhấn 'CEN

Em tìm trên gg được cái này. Chưa hiểu hết nó nhưng em cứ post cho mọi người dùng. hii

(defun c:RegCent (/ Ent )
(vl-load-com)
(setq Ent (entsel "\nSelect a region : " ) )
(vlax-safearray->list (vlax-variant-value (vlax-get-property (vlax-ename->vla-object (car Ent ) ) "Centroid" )) )
)

  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#35 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 24 May 2011 - 11:24 AM

Chào bạn,
Bạn đã xem lisp code của Tue_NV chưa? Bạn hiểu nó tìm trọng tâm như thế nào ko?
Cách bạn làm tương tự như lisp chỉ khác là lisp chỉ nhận POLYLINE và REGION thôi (Tue_NV có thể thêm 1 vài dòng nữa để chuyển LINE -> POLYLINE).
Lisp là tập hợp các thao tác của người sử dụng và chuyển cho máy tính xử lý -> ra kết quả. Bạn nghĩ mình có thể thao tác nhanh hơn máy tính ?
ko phải lúc nào dùng lisp cũng tốt nhưng trong trường hợp này thì dùng lisp đúng là tốt hơn.

Cảm ơn anh và các bác đưa ra ý kiến trao đổi! Y kiến và cách đặt vấn của em có thể bị cho là khiếm nhã, hoặc đùa vui quá trớn, cũng mong các bác thông cảm. Tranh luận để học tập, để hiểu biết thêm, thư giãn, cười vui là chính chứ không phải là tranh luận kiểu phải, trái, đúng sai, như khi cãi nhau khi va quệt xe máy ngoài đường!
Quan niệm của em rõ ràng, dứt khoát giống như chữ ký của anh Ketxu:” Cái gì biết thì chia sẻ.Đừng sợ người ta cười mình hợm hĩnh.
Cái gì chưa biết thì hỏi. Đừng ngại người ta cười mình dốt. Chỉ sợ mình hoài dốt thật”.
Vì thế nên em cũng mạnh dạn đưa ra ý kiến của mình, mà kô ngại gì hết, sai thì sửa chửa thì đẻ. Mỗi người có một cách làm riêng, cũng như mỗi người có một cách tiếp cận cuộc sống riêng, không ai giống ai. Em đã từng biết có bạn em ,bị một tiếng chê thì "ê ẩm" cả người, bị một lời trách móc thì mất ăn mất ngủ... về sau chẳng dám nói lên chính kiến của mình chỉ sợ sai, chỉ sợ bị ăn mắng. :rolleyes: :rolleyes: :rolleyes:
( Tiếc là em không nhấn thank thêm được nữa)
@ anh Tuệ, em rất vui khi nhận được ý kiến trao đổi của anh, em sợ nhất là anh không nói với em câu nào! :rolleyes:Hi hi....
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#36 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 24 May 2011 - 12:19 PM

Cảm ơn anh và các bác đưa ra ý kiến trao đổi! Y kiến và cách đặt vấn của em có thể bị cho là khiếm nhã, hoặc đùa vui quá trớn, cũng mong các bác thông cảm. Tranh luận để học tập, để hiểu biết thêm, thư giãn, cười vui là chính chứ không phải là tranh luận kiểu phải, trái, đúng sai, như khi cãi nhau khi va quệt xe máy ngoài đường!
Quan niệm của em rõ ràng, dứt khoát giống như chữ ký của anh Ketxu:” Cái gì biết thì chia sẻ.Đừng sợ người ta cười mình hợm hĩnh.
Cái gì chưa biết thì hỏi. Đừng ngại người ta cười mình dốt. Chỉ sợ mình hoài dốt thật”.
Vì thế nên em cũng mạnh dạn đưa ra ý kiến của mình, mà kô ngại gì hết, sai thì sửa chửa thì đẻ. Mỗi người có một cách làm riêng, cũng như mỗi người có một cách tiếp cận cuộc sống riêng, không ai giống ai. Em đã từng biết có bạn em ,bị một tiếng chê thì "ê ẩm" cả người, bị một lời trách móc thì mất ăn mất ngủ... về sau chẳng dám nói lên chính kiến của mình chỉ sợ sai, chỉ sợ bị ăn mắng. :rolleyes: :rolleyes: :rolleyes:
( Tiếc là em không nhấn thank thêm được nữa)
@ anh Tuệ, em rất vui khi nhận được ý kiến trao đổi của anh, em sợ nhất là anh không nói với em câu nào! :rolleyes:Hi hi....

Chào bạn,
tinh thần học tập của bạn rất tốt nhưng mình thấy có chút sai lầm về cách nghĩ, mình xin nói lên ý kiến nếu thấy mình nói sai thì bỏ qua nhe.
  • Trên diễn đàn, mọi người nói lên ý kiến của mình (mình thấy đúng) và xem ý của người khác nếu thấy đúng hơn thì mình học theo sai thì thôi. Nhưng khi tranh luận là phải ra kết quả đúng ko thể tranh luận cho vui -> nói chuyện chơi (ko có ích cho kiến thức)
  • Cái gì chưa biết thì hỏi là đúng rồi, cái gì biết thì nên nói ra (vì chắc gì mình cái mình biết là đúng hay tối ưu nhất) mình cũng vừa trả lời cho 1 bạn hỏi về việc lệnh PURGE ko có dialog nhưng trả lời sai và được các bạn khác chỉ ra đấy thôi. Mình cám ơn các bạn đó.
  • Khi mình đưa ra ý kiến nếu có ý kiến khác trái ngược hay khác mình thường thực hiện cách mới rồi tự suy ngẫm và rút ra bài học cho mình.
Cheer! Hình đã gửi


  • 1

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#37 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 24 May 2011 - 02:45 PM

Chào bạn,
tinh thần học tập của bạn rất tốt nhưng mình thấy có chút sai lầm về cách nghĩ, mình xin nói lên ý kiến nếu thấy mình nói sai thì bỏ qua nhe.

  • Trên diễn đàn, mọi người nói lên ý kiến của mình (mình thấy đúng) và xem ý của người khác nếu thấy đúng hơn thì mình học theo sai thì thôi. Nhưng khi tranh luận là phải ra kết quả đúng ko thể tranh luận cho vui -> nói chuyện chơi (ko có ích cho kiến thức)
  • Cái gì chưa biết thì hỏi là đúng rồi, cái gì biết thì nên nói ra (vì chắc gì mình cái mình biết là đúng hay tối ưu nhất) mình cũng vừa trả lời cho 1 bạn hỏi về việc lệnh PURGE ko có dialog nhưng trả lời sai và được các bạn khác chỉ ra đấy thôi. Mình cám ơn các bạn đó.
  • Khi mình đưa ra ý kiến nếu có ý kiến khác trái ngược hay khác mình thường thực hiện cách mới rồi tự suy ngẫm và rút ra bài học cho mình.
Cheer! Hình đã gửi

Em rất vui và cảm ơn anh rất nhiều khi được giao lưu trực tuyến với anh. Có thể em diễn đạt chưa chuẩn về ngôn từ nên anh đã hiểu lầm về thiển ý của em. Ý của em là học mà chơi, chơi mà học, vừa học vừa chơi vừa đùa vừa học, tiếp thu kiến thức sẽ nhẹ nhàng hơn.
Các cụ nói ăn tuỳ nơi chơi tuỳ chốn, ăn trông nồi ngồi trông sang nhà hàng xóm…Với anh Tuệ , là người mà ít nhiều cũng có sự thân quen với chị Hà em, em cũng có cảm tình với anh Tuệ, em mới dám đùa vui với anh ấy, em cũng coi anh ấy như người thân, như bạn bè của em, em mới đùa vui, chứ người ngoài ấy à, người giời ơi đất hỡi ư, gặp nhau ở ngoài đường em thừa hơi cũng ứ thèm vào nói chuyện!
Hồi đi học em đã từng gặp, có thầy cô giáo rất chi là đạo mạo, vào lớp là săm soi, kiểm tra sĩ số, kiểm tra xem có đứa nào không làm bài tập về nhà. Rồi thầy rất bình tĩnh và tự tin giở sổ đầu bài ra, lấy cây bút mạ vàng sáng choé di lên di xuống và lượt y như là di chuột để bắt điểm ở chế độ Polar Tracking rồi bất thình lình dừng lại, thong thả chấm nhẹ một phát,,,Xong thầy từ từ ngẩng cao đầu ở tư thế hiên ngang như anh hùng liệt sĩ Nguyễn Văn Trỗi đứng trên pháp trường, thầy dõng dạc nói:
- Trò Nguyễn Minh Hoan lên bảng kiểm tra… miệng!
Ngược lại cũng có thấy cô giáo vô tư, vô tâm, không bao giờ kiểm tra sĩ số lớp, không kiểm tra miệng. Thầy chỉ hỏi, có ai không hiểu bài cũ, không làm được bài tập thì giơ tay lên, thầy hỏi cặn kẽ nguyên nhân và lý do không làm được…rôi thầy chữa bài tập, trước khi chữa, thầy hỏi ai làm được thì xung phong lên bảng giải bài tập, làm tốt thầy cho điểm…Thỉnh thoảng thầy cũng bất thình lình kiểm tra 15 phút. Trong giờ học thầy hay kể chuyện vui lắm, học sinh rất thích học, kết quả cũng cao hơn là học các thầy giáo quá đạo mạo nghiêm khắc,,,

Đây là đáp án của chị Hà Anh về câu đố vẽ 3 đường tròn tiếp xúc nhau và tiếp xúc với 3 cạnh của tam giác đều, các bác xem có cách nào giải nhanh hơn không???

(Bài viết trong chủ đề Đố vui trong mục:Mẹo sử dụng AutoCAD)

Hình đã gửi
Cách làm của em bật chế độ Polan Tracking:
1- Gõ C > lựa chọn 2P > bắt điểm trọng tâm và trung điểm cạnh đáy BC > H1
2 - Chọn đường tròn > MI bắt điểm B và trung điểm cạnh bên...> H2
3- Không dùng lệnh nào hết mà chỉ dùng chuột phục trợ > Chọn đối tượng 1 đường tròn bất kỳ,di chuột bắt 1 điểm ô vuông xanh trên đường tròn với giao điểm của hai đường tròn cắt nhau và đường nối tâm....> H3
4- Chọn đối tượng là 3 đường tròn gõ SC > Bắt trọng tâm tam giác > chọn R > bắt trọng tâm tam giác >bắt điểm trên đường tròn gần cạnh đáy, kéo chuột xuống cạnh đáy >H4


  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#38 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 24 May 2011 - 06:00 PM

Chào bạn,
tinh thần học tập của bạn rất tốt nhưng mình thấy có chút sai lầm về cách nghĩ, mình xin nói lên ý kiến nếu thấy mình nói sai thì bỏ qua nhe.

  • Trên diễn đàn, mọi người nói lên ý kiến của mình (mình thấy đúng) và xem ý của người khác nếu thấy đúng hơn thì mình học theo sai thì thôi. Nhưng khi tranh luận là phải ra kết quả đúng ko thể tranh luận cho vui -> nói chuyện chơi (ko có ích cho kiến thức)
  • Cái gì chưa biết thì hỏi là đúng rồi, cái gì biết thì nên nói ra (vì chắc gì mình cái mình biết là đúng hay tối ưu nhất) mình cũng vừa trả lời cho 1 bạn hỏi về việc lệnh PURGE ko có dialog nhưng trả lời sai và được các bạn khác chỉ ra đấy thôi. Mình cám ơn các bạn đó.
  • Khi mình đưa ra ý kiến nếu có ý kiến khác trái ngược hay khác mình thường thực hiện cách mới rồi tự suy ngẫm và rút ra bài học cho mình.
Cheer! Hình đã gửi

Cảm ơn bạn đã nói lên ý kiến của mình, nhưng sự thật là cái gì biết thì nên nói ra hay không? Mình thật sự phân vân lắm, có những cái mình biết mà mình không nói ra, không chia sẻ nên mình không dám nói câu ấy? Có những topic, mình biết câu trả lời cho câu hỏi đấy nhưng không viết bài reply, mình chia sẻ trong 1 mức độ nào đó thôi. Vậy mình là người như thế nào?

Bạn nói ra như vậy, mình xin hỏi bạn, cái gì bạn biết thì nên nói ra , bạn đã nói ra tất cả hay chưa? Bạn có "dấm dúi" không?? Mình nghĩ tự thân bạn đã có câu trả lời rồi.

Cái gì biết thì chia sẻ.Đừng sợ người ta cười .....
Tue_NV viết vậy thì đã đi ngược với dòng chữ ký của Ketxu rồi nhỉ? -> Cả ối người biết mà không chia sẻ đấy. Ngay cả khi làm trong 1 công ty, làm cùng 1 chổ, người ta còn đấu đá, tranh giành, nói chi đến từ .... chia sẻ.
Xin lỗi, tính mình nghĩ sao viết vậy thôi. Hy vọng không làm các bạn phật ý,
  • 1

#39 fengstupid

fengstupid

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 May 2011 - 06:56 PM

Xin cảm ơn các anh,e đã vỡ vạc ra nhiều thứ,cảm ơn các anh rất nhiều,những kĩ sư giàu kinh nghiệm:x
  • 0

#40 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 24 May 2011 - 10:45 PM

@các bác Hoan2182, Detailing, Tue_NV : theo thuyết tương đối thì các bác ... lạc đề rồi ạ :o ^^
Mỗi người 1 quan điểm và không ai sống theo cách suy nghĩ của người khác được mà. Khà khà .
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC